### Hierarchy

- TableBody
  - AITableBody

## Index

### Inputs

- model

### Constructors

- constructor

### Properties

- _checkboxRowLabel
- _expandButtonAriaLabel
- checkboxRowLabel
- deselectRow
- enableSingleSelect
- expandButtonAriaLabel
- i18n
- model
- rowClick
- selectRow
- selectionLabelColumn
- showSelectionColumn
- size
- skeleton
- ɵcmp
- ɵfac

### Methods

- firstExpandedDataInRow
- getCheckboxRowLabel
- getExpandButtonAriaLabel
- onRowCheckboxChange
- onRowClick
- shouldExpandAsTable

## Constructors

### constructor

- new AITableBody(i18n: I18n): AITableBody

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:73

  #### Parameters

  - ##### i18n: I18n

  #### Returns AITableBody

## Properties

### Protected _checkboxRowLabel

_checkboxRowLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:72

### Protected _expandButtonAriaLabel

_expandButtonAriaLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:73

### checkboxRowLabel

checkboxRowLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:35

### deselectRow

deselectRow: EventEmitter<Object>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:67

Emits if a single row is deselected.

param

  this.model, deselectedRowIndex: index})

### enableSingleSelect

enableSingleSelect: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:33

Controls whether to enable multiple or single row selection.

### expandButtonAriaLabel

expandButtonAriaLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:34

### Protected i18n

i18n: I18n

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:28

### model

@Input()
model: any

- Defined in packages/angular/src/table/body/table-body.component.ts:69

### rowClick

rowClick: EventEmitter<number>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:71

Emits if a row item excluding expandButtons, checkboxes, or radios is clicked.

### selectRow

selectRow: EventEmitter<Object>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:61

Emits if a single row is selected.

param

  this.model, selectedRowIndex: index})

### selectionLabelColumn

selectionLabelColumn: number

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:54

Used to populate the row selection checkbox label with a useful value if set.

Example:

    <ibm-table [selectionLabelColumn]="0"></ibm-table>
    <!-- results in aria-label="Select first column value"
    (where "first column value" is the value of the first column in the row -->

### showSelectionColumn

showSelectionColumn: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:39

Controls whether to show the selection checkboxes column or not.

### size

size: TableRowSize

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:43

Size of the table rows.

### skeleton

skeleton: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:55

### Static ɵcmp

ɵcmp: ɵɵComponentDefWithMeta<TableBody, "[ibmTableBody]", never, { checkboxRowLabel: "checkboxRowLabel"; enableSingleSelect: "enableSingleSelect"; expandButtonAriaLabel: "expandButtonAriaLabel"; model: "model"; selectionLabelColumn: "selectionLabelColumn"; showSelectionColumn: "showSelectionColumn"; size: "size"; skeleton: "skeleton" }, { deselectRow: "deselectRow"; rowClick: "rowClick"; selectRow: "selectRow" }, never, ["*"]>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:87

### Static ɵfac

ɵfac: ɵɵFactoryDef<TableBody, never>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:86

## Methods

### firstExpandedDataInRow

- firstExpandedDataInRow(row: any): any

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:84

  #### Parameters

  - ##### row: any

  #### Returns any

### getCheckboxRowLabel

- getCheckboxRowLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:82

  #### Returns Observable<string>

### getExpandButtonAriaLabel

- getExpandButtonAriaLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:83

  #### Returns Observable<string>

### onRowCheckboxChange

- onRowCheckboxChange(index: number): void

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:80

  Triggered when a single row is clicked. Updates the header checkbox state. Emits the `selectRow` or `deselectRow` event.

  #### Parameters

  - ##### index: number

  #### Returns void

### onRowClick

- onRowClick(index: number): void

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:81

  #### Parameters

  - ##### index: number

  #### Returns void

### shouldExpandAsTable

- shouldExpandAsTable(row: any): any

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:85

  #### Parameters

  - ##### row: any

  #### Returns any

Generated using TypeDoc